* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --white: #f8efff;
    --lightviolet-1: #ecd2f9;
    --lightviolet-2: #d8c0df;
    --lightyellow-1: #fff8c8;
    --lightyellow-2: #f7e0b5;
    --lightyellow-3: #e6cd99;
    --skintone: #f4d0c0;
    --orange: #d77e44;
    --pinkbrown: #c98271;
    --bole: #774438;
    --periwinkle: #cbcaff;
    --palepurple: #b092d1;
    --fadedpurple: #8769a8;
    --darkpurple: #4c455e;
}

body {
    margin: 0;
    padding: 0;
    color: var(--darkpurple);
    font-size: 14px;
}

button {
}

/* Header styling */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.heading {
    display: flex;
    flex-direction: column;
    position: relative;
}

.logo img {
    width: 100%;
    max-width: 170px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.heading-navigation {
    background-color: #4c455e;
    width: 100%;
    padding: -10px 0px;
    display: flex;
    flex-direction: row;
}

.navbar {
    display: flex;
    padding: 0px 10px;
    width: 100%;
    margin: auto;
    align-items: center;
}

nav ul {
    list-style: none;
    display: flex;
    padding: 0 15px;
    margin: 0;
}

nav ul li {
    list-style: none;
    padding: 15px;
}

.navbar a {
    color: #f8efff;
    text-decoration: none;
    font-family: "ADLaM Display", system-ui;
    font-size: 19px;
    padding: 15px;
}

.navbar a:hover {
    color: var(--darkpurple);
    background-color: var(--lightviolet-1);
    padding: 15px;
    transition: 0.3s ease;
}

.signin {
    margin-left: auto;
}


.signin a {
    font-family: "ADLaM Display", system-ui;
    background-color: var(--lightviolet-2);
    color: var(--darkpurple);
    border: none;
    padding: 5px 15px;
    height: 55px;
    display: flex;
    flex-direction: row;
    cursor: pointer;
    font-size: 19px;
    margin-left: auto;
    text-decoration: none;
}

.signin p {
    padding-top: 8px;
    padding-right: 7px;
    font-size: 21px;
}

.signin img {
    width: 30px;
    height: 45px;
    padding: 5px 0px;
}


/* Main banner ********************************************************/

.main-banner img {
    width: 100%;
    height: 700px;
    object-fit: cover;
}

.bee img {
    width: 100px;
    position: absolute;
    left: 11px;
    top: 100px;
    rotate: 355deg;
}


/* Content sections *****************************************************/

#content {
    align-content: center;
}


.content {
    display: flex;
    justify-content: space-around;
    padding: 20px;
    gap: 20px;
}

.trending, .top-gachatubers {
    background-color: #fff;
    padding: 15px;
    width: 45%;
    text-align: center;
}

.trend-info {
    display: flex;
    flex-direction: column;
    text-align: left;
    padding: 0px 0px 0 40px;

}

.gachatuber img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 5px;
}


/* Trends side ***********************************************************/

.trending {
    display: flex;
}

.trending img {
    max-width: 1000px;
    border-radius: 10px;

}

.trend-info h2 {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 32px;
    font-weight: 500;

}

.trend-info p {
    font-family: "Montserrat", sans-serif;
    color: var(--darkpurple);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    padding: 20px 0;
}


.learn-more {
    position: relative;
    margin-left: -15px;
}

.learn-more img {
    padding: 8px 16px;
    cursor: pointer;
    margin-top: 10px;
    width: 130px;
    font-weight: bold;
    background-color: none;
}

.top-button:hover {
    transition: 0.3s ease;
    opacity: 1;
}

.top-button {
    position: absolute;
    width: 250px;
    left: 0;
    top: 0;
    opacity: 0;
}


/* Top Gachatubers side ********************************************/
.top-gachatubers .gachatuber {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
}

.top-gachatubers .gachatuber img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
}

.top-gachatubers {
    text-align: left;
}

.top-gachatubers h2 {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 32px;
    font-weight: 500;
}

.top-gachatubers p {
    font-family: "Montserrat", sans-serif;
    color: var(--darkpurple);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
}

.gachatuber {
    padding: 10px 0;
}

.gachatubers {
    padding: 20px 0;
}

.gachatuber-info {
    padding: 20px 10px;
}

.gachatuber-info strong {
    font-style: italic;
}


/* Footer *********************************************************************/
footer {
    background-color: var(--darkpurple);
    color: #fff;
    padding: 20px 0;
    font-family: "Montserrat", sans-serif;
    width: 100%;
}

.footing {
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
}

.footer-logo {
    width: 500px;
    text-align: left;
    align-content: center;
    margin-right: 10px;
    margin-left: auto;
}

.footer-logo img {
    width: 300px;
    margin-bottom: 10px;
}

.footer-logo p {
    font-size: 14px;
    margin-top: 10px;
    width: 470px;
    line-height: 1.4;
    color: var(--white);
}

.footer-nav {
    display: flex;
    flex-direction: row;
    align-content: center;
    margin-right: auto;
}

.footer-nav1 nav ul {
    display: flex;
    flex-direction: column;
    gap: 2px;
    list-style: none;
    width: 30%;
    text-align: left;
    align-content: center;
    margin-right: auto;
    margin-left: 5px;
}

.footer-nav1 nav ul li {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2px;
    cursor: pointer;
}

.footer-nav2 {
    margin-right: auto;
}

.footer-nav2 nav ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
    list-style: none;
    padding: 0;
    margin-right: auto;
}

.footer-nav2 nav ul li {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}

.footer-nav-icon {
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease;
}

/* Hover effect for the icons */
.footer-nav1 nav ul li:hover .footer-nav-icon {
    transform: scale(1.3);
}

.footer-nav1 nav ul li span {
    font-size: 19px;
    font-family: "ADLaM Display", system-ui;
    color: var(--white);
}

.footer-nav2 nav ul li:hover .footer-nav-icon {
    transform: scale(1.3);
}

.footer-nav2 nav ul li span {
    font-size: 19px;
    font-family: "ADLaM Display", system-ui;
    color: var(--white);
}


/* Copyright section */
.subfooting {
    text-align: center;
    padding-top: 20px;
    border-top: 1px solid var(--periwinkle);
    margin-top: 10px;
    font-size: 12px;
    color: var(--white);
}


@media only screen and (max-width: 1309px) {

    .trending {
        flex-direction: column;
        text-align: left;
    }

    .trend-info {
        padding-left: 0;
        padding-top: 10px;
    }
}



/* Media Queries - Mobile ******************************************************/

@media only screen and (max-width: 360px) {

    .heading {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .logo img {
        width: 100px;
    }

    .bee img {
        width: 70px;
        top: 59px;
    }

    .nav ul {
        flex-wrap: wrap;
        justify-content: left;
        padding: 0;
    }

    .nav li {
        font-size: 9px;
    }

    .navbar li {
        padding: 10px 0;
    }

    .navbar a:hover {
        padding: 10px 15px;
    }

    .signin {
        padding: -2px 10px;
        font-size: 12px;
        
    }

    .signin a {
        height: 225px;
        align-items: center;
    }

    /* Main banner ****************************************************/
    .main-banner img {
        width: 100%;
        height: 600px;
    }

    /* Content section *********************************************/

    .content {
        padding: 5px;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
    }

    .trending {
        width: 360px;
        display: flex;
        flex-direction: row;
        padding-top: 40px;
        flex-shrink: 0;
        flex-wrap: wrap;
        
    }

    .trending {
        flex-direction: row;
    }

    .trend-info {
        width: 230px;
        padding-top: 20px;
    }

    .trend-info p {
        font-size: 13px;
        width: 300px;
    }

    .trend-info h2 {
        text-align: center;
    }


    .top-gachatubers {
        flex-direction: column;
        text-align: center;
        width: 360px;
        flex-shrink: 0;
    }

    .trend-img img {
        width: 300px;
        display: flex;
        align-items: start;

    }

    .gachatuber img {
        width: 100%;
        height: auto;
    }

    .learn-more img {
        display: flex;
        align-items: left;
    }


    .trend-info h2,
    .top-gachatubers h2 {
        font-size: 28px;
        text-align: left;
    }

    /* Footer adjustments ****************************************/
    .footing {
        max-width: 360px;
        flex-direction: column;
        align-content: center;
        text-align: center;
    }


    .footer-logo img {
        width: 250px;
        padding: 10px 20px;
        margin-bottom: 0;
        margin-right: auto;
        margin-left: auto;
    }

    .footer-logo p {
        font-size: 12px;
        width: 350px;
        padding: 0 20px;
        margin-top: 0;
        margin-right: 20px;
        margin-left: 0px;
        
    }

    .footer-nav {
        max-width: 100px;
        margin-left: 0;
        margin-right: 0;
        padding-top: 10px;
        font-size: 16px;
    }

    .footer-nav1,
    .footer-nav2 {
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    .footer-nav1 span {
        font-size: 16px;
    }

    .footer-nav1 nav ul {
        margin-right: 0;
        padding-left: 0;
    }

    .footer-nav2 {
        margin-right: 0;
    }

    .footer-nav2 nav ul li {
        padding-left: 0;
    }

    .footer-nav-icon {
        width: 30px;
        height: 30px;

    }

    .subfooting p {
        font-size: 12px;
        width: 230px;
        align-self: center;
        margin-left: auto;
        margin-right: auto;
    }


}

